de.dhbwstuttgart.typeinference.typedeployment

## Class TypePatchJob

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.TypePatchJob

-     class TypePatchJob
      extends java.lang.Object

  Stellt eine Reihe von TypeInsertions dar

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Menge<SourcePatchPoint>` | `points`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypePatchJob()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `add(SourcePatchPoint tip)`
    `(package private) java.lang.String` | `run(java.lang.String fileContent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### points

          private Menge<SourcePatchPoint> points

  - ### Constructor Detail

    - #### TypePatchJob

          TypePatchJob()

  - ### Method Detail

    - #### add

          void add(SourcePatchPoint tip)

    - #### run

          java.lang.String run(java.lang.String fileContent)